import React from 'react';
import {Redirect, Route, Switch} from 'react-router-dom';
import Footer from "./components/Footer/Footer";
import Header from "./components/Header/Header";
import MainPage from "./components/Pages/MainPage";
import Posts from "./components/Pages/Posts/Posts";
import Writers from './components/Pages/Writers/Writers';
import Tags from "./components/Pages/Tags/Tags";
import Post from "./components/Pages/Posts/Post";
import Tag from "./components/Pages/Posts/Tag";
import Writer from './components/Pages/Posts/Writer';
import AdminPosts from './components/Pages/Admin/Posts'
import AdminPost from './components/Pages/Admin/Post';
import AdminWriters from './components/Pages/Admin/Writers';
import AdminTags from './components/Pages/Admin/Tags';
import Login from "./components/Pages/Login/Login";

function App() {
    return (
        <div className="wrapper">
            <Header/>
            <div className="main">
                <div className="container">
                    <Switch>
                        <Route exact path="/" component={MainPage}/>
                        <Route path="/posts" component={Posts}/>
                        <Route path="/writers" component={Writers}/>
                        <Route path="/tags" component={Tags}/>
                        <Route path="/post/:postId" component={Post}/>
                        <Route path="/tag/:tagId" component={Tag}/>
                        <Route path="/writer/:writerId" component={Writer}/>
                        <Route path="/admin/post" component={AdminPost}/>
                        <Route path="/admin/posts" component={AdminPosts}/>
                        <Route path="/admin/writers" component={AdminWriters}/>
                        <Route path="/admin/tags" component={AdminTags}/>
                        <Route path="/login" component={Login}/>
                        <Redirect to="/"/>
                    </Switch>
                </div>
            </div>
            <Footer/>
        </div>
    );
}

export default App;
