import React, {Component} from 'react';
import {NavLink} from 'react-router-dom';

class Header extends Component {

    state = {
        isDark: false,
    }

    componentDidMount() {
        this.switchTheme();

        let currentTheme = localStorage.getItem('theme') || 'Light';
        let isDark = currentTheme === 'Dark';

        this.setState({isDark});
    }

    switchTheme() {
        let currentTheme = localStorage.getItem('theme') || 'Light';
        let isDark = currentTheme === 'Dark';

        if (isDark) {
            document.body.classList.add('dark-theme');
        } else {
            document.body.classList.remove('dark-theme');
        }
    }

    switch = () => {
        let currentTheme = localStorage.getItem('theme');

        let theme = currentTheme === 'Light' ? 'Dark' : 'Light';
        let isDark = theme === 'Dark';

        localStorage.setItem('theme', theme);

        this.switchTheme();
        this.setState({isDark})
    }

    render() {
        const {isDark} = this.state;
        return (
            <div>
                <nav className="navbar">
                    <div className="container">
                        <div className="navbar-header header-logo">
                            <NavLink className="menu-item" to="/">
                                MyBlog
                            </NavLink>
                        </div>
                        <div className="menu navbar-right">
                            <NavLink className="menu-item" to="/posts">Posts</NavLink>
                            <NavLink className="menu-item" to="/writers">Writers</NavLink>
                            <NavLink className="menu-item" to="/tags">Tags</NavLink>
                            <input id="switch_default" type="checkbox"
                                   className="switch_default" onChange={this.switch}
                                   checked={isDark}/>
                            <label htmlFor="switch_default" className="toggleBtn"/>
                        </div>
                    </div>
                </nav>
            </div>
        );
    }
}

export default Header;