import React, {Component} from 'react';
import Loading from "../../Shared/Loading";
import {RefreshToken} from "../../../models/RefreshToken";
import axios from "axios";
import {ApiResult} from "../../../models/ApiResult";
import {AuthResult} from "../../../models/AuthResult";
import {RouteComponentProps, withRouter} from 'react-router-dom'

class AdminAuth extends Component<RouteComponentProps> {

    componentDidMount() {
        let token = JSON.parse(localStorage.getItem('token') || '{}');
        let refresh_token = JSON.parse(localStorage.getItem('refresh_token') || '{}');

        if (!(token || refresh_token)) {

            let refreshToken: RefreshToken = {
                Token: token,
                RefreshToken: refresh_token,
            }

            axios.post<{ data: ApiResult<AuthResult> }>(`http://localhost:5000/api/Authorize/RefreshToken`, refreshToken)
                .then((result) => {
                    if (result.data.Status === '200') {
                        if (result.data.Data.Success) {
                            localStorage.setItem('token', result.data.Data.Token);
                            localStorage.setItem('refresh_token', result.data.Data.RefreshToken);
                        } else {
                            this.props.history.push("/login");
                        }
                    } else {
                        console.log(result.data.Message);
                    }
                })
                .catch((error) => {
                    console.log(error)
                });
        } else {
            this.props.history.push("/login")
        }
    }

    render() {
        return (
            <div>
                <Loading/>
            </div>
        );
    }
}

export default withRouter(AdminAuth);